Добавление точки при черчении

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft AddPoint and the translation is 62% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Draft AddPoint.svg Draft AddPoint

Расположение в меню
Черчение → Добавить точку
Верстаки
Draft, Arch
Быстрые клавиши
Никто
Представлено в версии
-
См. также
Draft DelPoint, Draft Edit

Описание

Инструмент Draft AddPoint.svg Draft AddPoint позволяет добавить точку в уже созданную Draft Wire.svg полилинию или Draft BSpline.svg B-сплайн.

The counterpart to this tool is the Draft DelPoint.svg Draft DelPoint operation.

Использование

  1. Выберите инструмент Draft Wire.svg многоточечная линия или Draft BSpline.svg B-сплайн. Примечание: инструмент недоступен при отсутствии выделенных объектов.
  2. Нажмите кнопку Draft AddPoint.svg Добавить точку
  3. Щёлкните на точке в трёхмерном виде или укажите координаты, и нажмите кнопку Draft AddPoint.svg Добавить точку.
  4. Нажмите кнопку Esc или Close для завершения операции, останутся точки, которые уже вставлены.

This functionality is also available from the Draft Edit.svg Draft Edit tool.

Опции

Опции этого инструмента описаны в Draft Edit.svg Редактирование чертежа.

Сценарии

См. так же: Draft API and Основы скриптов FreeCAD.

Программный интерфейс для инструмента AddPoint недоступен, однако добавление точек несложно.

The Points attribute of a wire or spline is a list with the points that comprise that object; to add points, overwrite this attribute with a longer list of points. You can use methods like append() and insert() to add a new element in the desired position in the list. Each point is defined by its FreeCAD.Vector, with units in millimeters.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()